Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas.spi
Class UserInfo

    java.lang.Object
      org.mortbay.jetty.plus.jaas.spi.UserInfo

    public class UserInfo

extends Object

UserInfo This is the information read from the external source about a user. Can be cached by a UserInfoCache implementation

Constructor Summary
`UserInfo(String userName, Credential credential, List roleNames)`

Method Summary
`boolean` | `checkCredential(Object suppliedCredential)`
`protected Credential` | `getCredential()`
`List` | `getRoleNames()`
`String` | `getUserName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInfo

    public UserInfo(String userName,
                    Credential credential,
                    List roleNames)

Method Detail

### getUserName

    public String getUserName()

### getRoleNames

    public List getRoleNames()

### checkCredential

    public boolean checkCredential(Object suppliedCredential)

### getCredential

    protected Credential getCredential()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.